#!/usr/bin/env php
<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.

function updateRCprop($rci, $propname, $propvalue) {
	if(!isset($rci->config[$propname]) || $rci->config[$propname] != $propvalue) {
		echo "Setting roundcube '$propname' to '$propvalue'\n";
		$rci->config[$propname] = $propvalue;
		return true;
	}
	return false;
}

define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );

require_once INSTALL_PATH . 'program/include/clisetup.php';
require_once INSTALL_PATH . 'installer/rcube_install.php';

$RCI = rcube_install::get_instance();
$RCI->load_config();

$updated = false;
$updated |= updateRCprop($RCI, 'smtp_server', 'localhost');
$updated |= updateRCprop($RCI, 'smtp_user', '%u');
$updated |= updateRCprop($RCI, 'smtp_pass', '%p');
$updated |= updateRCprop($RCI, 'smtp_port', '25');

if (!$updated) {
	echo "Your SMTP configuration for roundcube is already up-to-date\n";
	exit(0);
}

echo "Saving configuration\n";
$RCI->merge_config();
if(!$RCI->save_configfile($RCI->create_config())) {
	echo "Cannot write roundcube config file(s)\n";
	exit(1);
} else {
	echo "Your SMTP configuration for roundcube is now up-to-date\n";
	exit(0);
}
exit(0);
